Forum OpenACS Q&A: Re: Hello! New to AOLServer and OPENACS. Question...

Posted by Andrew Piskorski on
Ah, I see. I've never heard of anyone using OpenACS where their mysite/ URL was not the same as the OpenACS pageroot URL. So probably you're trying to do something no one ever wanted to do before. It is likely feasible, but it might mean hacking the OpenaCS request processor.

Presumably you have some legacy (before you started using OpenACS) content which you want to use as your front page? You should be able to do that regardless. I'd suggest making your AOLserver and OpenACS page roots match the way most people do and trying things a different way.

On AOLserver versions, you need 3.3+ad13 for internationalization support which OpenACS uses. There may be other little reasons why 3.3+ad13 (or soon, 4.0) is required, but I don't really remember. If you're using it already, 3.5.5 will probably work fine, until you run into some minor obscure bug. If you have problems just upgrade to AOLserver 4.0. Currently 4.0 does not have SSL support, other than that it should be ready to go for use with OpenACS.

You can join the AOLserver email list.

There is lots of AOLserver virtual server info scattered in all sorts of places. For what you want, AOLserver 4.0 is probably the simplest choice, it will let you run both and within a single AOLserver process.